Help - Search - Members - Calendar
Full Version: Rosetta
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
pgas
before using it make sure to read "using rosetta" :
http://www.handhelds.org/project/rosetta/

it depends on gpe-icons and libgpewidget.

It is not as integrated as well as in oz/gpe, it does not resize when the screen is rotated,
but it starts with the right size (ie close and reopen it when you rotate)
jfv
Is this only for pdaXrom or will it work under X/Qt on the Sharp based ROMS?

Thanks

Felipe
pgas
QUOTE
will it work under X/Qt on the Sharp based ROMS?

I don't think so, but you can try....

you'll need:

gpe-icons_20050207-1_armv5tel.ipk
libgpewidget_20050207-1_armv5tel.ipk

from:
http://212.10.30.205/rc10/Zaurus-7x0-860/feed/
jfv
Hi,

I installed gpe-icons and libgpewidgets as well as rosetta. The last two complained of something missing but the installation proceeded. I tried to run rosetta from the command line and and it complained of missing "libgtk-x11-2.0.so.0". I googled for it and all I got was a link from a discussion here where Stubear pointed out a link for the whole pdaXrom distro where one would find that library. The link unfortunately is dead. Anybody has this library handy? Is it worth me trying to install this or will be a descent into dependency hell?

Thanks,

Felipe
pgas
the lib is in the same feed i gave you.

I don't know if it's worth to install rosetta for x/qt as iirc you can use qtopia
handwriting recognition to input text inside xq/t applications.
jfv
There is no libgtk package on that feed that I could see. There are a couple of packages called gtk.

Handwriting recognition on qtopia is not good.

Thanks,

Felipe
pgas
gtk2_2.6.2_armv5tel.ipk
jfv
"ipkg says something went wrong, sorry" is what I got when I tried to install gtk2. I guess this is not a simple install on the Sharp ROM. I'll give up for now. Thanks for your help.

Felipe
daemon1
ive managed to install most of the libraries... found the mostly in pdaX-1.0.5-SD archive.... only missing

/opt/QtPalmtop/lib/libfontconfig.so.1.0

does anyone have a copy of that somewhere?
Zumi
QUOTE(daemon1 @ Jul 11 2005, 02:22 AM)
ive managed to install most of the libraries... found the mostly in pdaX-1.0.5-SD archive.... only missing

/opt/QtPalmtop/lib/libfontconfig.so.1.0

does anyone have a copy of that somewhere?
*

1.0.5 is quite old, and most of the compiled applications are incompatible with it. Apps before 1.1.0 RC5 version works with 1.0.5, so presumably Rosetta won't work with it.

By the way, Rosetta works nicely for me, thanks for the compile, Pgas! cool.gif

Zumi
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.